Page MenuHomePhabricator

local-charts: Repair ability to enable xdebug on mw/core
Closed, ResolvedPublic

Description

Since mw/core dev images have been built by blubber, they lost root access, resulting in the following errors when trying to enable xdebug.

ln: failed to create symbolic link '/etc/php/7.2/cli/conf.d/20-xdebug.ini': Permission denied
rm: cannot remove '/var/lib/php/modules/7.2/cli/disabled_by_admin/xdebug': Permission denied

Event Timeline

jeena created this task.Mar 4 2020, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2020, 6:00 PM
thcipriani triaged this task as Medium priority.Mar 4 2020, 6:30 PM
thcipriani added a project: local-charts.

Change 582920 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[releng/dev-images@master] Add xdebug to stretch-php72-apache2-blubber

https://gerrit.wikimedia.org/r/582920

Change 582920 merged by Brennen Bearnes:
[releng/dev-images@master] Add xdebug to stretch-php72-apache2-blubber

https://gerrit.wikimedia.org/r/582920

Mentioned in SAL (#wikimedia-releng) [2020-03-24T22:56:23Z] <brennen> Updating dev-images docker-pkg files on contint1001 for T246921

Change 584733 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/deployment-charts@master] Replace phpenmod with configmap when enabling xdebug

https://gerrit.wikimedia.org/r/584733

Change 584733 merged by jenkins-bot:
[operations/deployment-charts@master] mediawiki-dev: Replace phpenmod with configmap to enable xdebug

https://gerrit.wikimedia.org/r/584733

Change 589440 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[releng/local-charts@master] Use newer version of mediawiki-dev

https://gerrit.wikimedia.org/r/589440

Change 589440 merged by Jeena Huneidi:
[releng/local-charts@master] Use newer version of mediawiki-dev

https://gerrit.wikimedia.org/r/589440

jeena closed this task as Resolved.Apr 29 2020, 8:20 PM